@echo off

if  NOT "%TESTRTDIR%" == "" goto env
echo TESTRTDIR not set. Fix and retry
goto End
:env
rem comment following line to keep JAVA_HOME from user environment
set JAVA_HOME=

if "%JAVA_HOME%" == "" (
set "JAVA_HOME=%TESTRTDIR%\jdk\jre"
set "PATH=%TESTRTDIR%\jdk\jre\bin;%PATH%"
)

echo available options are [-reconfigure] [-portNumber={Num}] [-tempDir={dir}]
echo To get more log, set the environment variable TESTRTRQMLOG as follow before run
echo set TESTRTRQMLOG=C:\TEMP\TestRTrqmLog.log

setlocal enabledelayedexpansion
set SEPARATOR=;
set filecontent=
set options=%*
set pwd=%CD%

cd %TESTRTDIR%\RQMAdapter\TestRTadapter
dir/b/o/s *.jar > "%TEMP%\jars.txt"
cd %TEMP%

for /f "delims=" %%a in (jars.txt) do (
  set currentline=%%a
  set filecontent=!filecontent!!currentline!%SEPARATOR%
)
del jars.txt

cd %pwd%
java.exe -version > nul 2>&1
if not %ERRORLEVEL%== 0 (
echo "Please install java, minimum version is 1.5"
goto End
)

if exist startTestRTAdapter.bat GOTO GOODDIR
java.exe "-Dlog4j.configuration=file:%TESTRTDIR%\RQMAdapter\TestRTadapter\log4j.properties" -classpath "%filecontent%" com.ibm.rqm.adapter.testrt.QMTestRTAdapter  %options%
goto End

:GOODDIR
java.exe -Dlog4j.configuration=file:.\log4j.properties -classpath "%filecontent%" com.ibm.rqm.adapter.testrt.QMTestRTAdapter  %options%

:End

